Bug 213894

Summary: [UPDATE] devel/skalibs: update to 2.4.0.0
Product: Ports & Packages Reporter: Colin Booth <colin-ports>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 213897, 213899    
Attachments:
Description Flags
Port update none

Description Colin Booth 2016-10-29 19:38:48 UTC
Created attachment 176288 [details]
Port update

Diff contains the following changes:
Makefile: Version bump, maintainer email adjustment
distinfo: contents update
pkg-plist: file drift

Notable changes between 2.3.9.0 and 2.4.0.0:
    More support for advanced fd callbacks in unixmessage_sender and unixconnection.
    ipc_timed_send(), ipc_timed_recv()
    rt.lib sysdep removed; spawn.lib and timer.lib sysdeps added
    Leap second for 2016-12-31 23:59:60 UTC added
    Complete librandom rewrite
    skalibs/alarm.h added
    Support for advanced fd callbacks in unixmessage_sender. 

As always, update notes can be found at:
http://www.skarnet.org/software/skalibs/upgrade.html
Comment 1 Colin Booth 2016-10-29 19:50:56 UTC
This update should include the following ports/UPDATING entry:

YYYYMMDD:
  AFFECTS: users of devel/skalibs
  AUTHOR: Colin Booth <colin-ports@heliocat.net>

  skalibs has undergone a major version bump and compatibility is not 
  guaranteed for software with a runtime dependency on 
  libskarnet.so.2.3.9.0. This will not affect lang/execline or 
  sysutils/s6 as those are statically linked against libskarnet.a.
Comment 2 commit-hook freebsd_committer 2016-12-13 15:46:04 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec 13 15:45:43 UTC 2016
New revision: 428502
URL: https://svnweb.freebsd.org/changeset/ports/428502

Log:
  - Update to 2.4.0.0
  - Update maintainer's email
  - While here, add LICENSE_FILE, don't install unneeded docs, fix command for docs installation and apply some cosmetic fixes

  PR:		213894
  Submitted by:	colin@heliocat.net (maintainer)

Changes:
  head/devel/skalibs/Makefile
  head/devel/skalibs/distinfo
  head/devel/skalibs/pkg-plist
Comment 3 commit-hook freebsd_committer 2016-12-13 15:47:10 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec 13 15:45:59 UTC 2016
New revision: 428505
URL: https://svnweb.freebsd.org/changeset/ports/428505

Log:
  - Add UPDATING entry for devel/skalibs, lang/execline, sysutils/s6 update

  PR:		213894, 213897, 213899
  Submitted by:	colin@heliocat.net (maintainer)

Changes:
  head/UPDATING
Comment 4 Dmitry Marakasov freebsd_committer 2016-12-13 15:47:24 UTC
Please note minor changes to this and related submissions.
Also please note that you need to update your bugzilla email to match MAINTAINER for your ports which you've changed.
Comment 5 Colin Booth 2016-12-16 07:15:01 UTC
Thanks for the notes, and I've fixed my email already.

Cheers!